log_stream.hpp File Reference

Some basic classes for logging. More...

`#include <string>`
`#include <fstream>`
`#include <claw/non_copyable.hpp>`

Go to the source code of this file.

## Classes

class | claw::log_stream
| Base class for streams accepting log output. More...
class | claw::console_logger
| This class write log messages in std::clog. More...
class | claw::file_logger
| This class write log messages in a file. More...

## Namespaces

namespace | claw
| This is the main namespace.

## Detailed Description

Some basic classes for logging.

Author
  Julien Jorge

Definition in file log_stream.hpp.

## Macro Definition Documentation

## CLAW_LOGGER_EXPORT

#define CLAW_LOGGER_EXPORT

Definition at line 48 of file log_stream.hpp.